Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Appveyor installs the latest npm, instead of the latest compatible npm #844

Closed
nfischer opened this issue May 7, 2018 · 1 comment
Closed

Comments

@nfischer
Copy link
Member

@nfischer nfischer commented May 7, 2018

Discovered in #841, this comment.

Basically, fix this line. We shouldn't install the latest npm all the time, because it may not be supported on older node versions.

High priority, because this will fail the next master build.

@nfischer
Copy link
Member Author

@nfischer nfischer commented May 8, 2018

For future reference, this is a known (and intentional) npm change: npm/npm#20425

So, we'll need to workaround this on our end until we drop node v6.

nfischer added a commit that referenced this issue May 9, 2018
This changes appveyor from using the latest npm version to only using
the preinstalled npm version. This is safer, because it's guaranteed to
be a compatible version.

Fixes #844
nfischer added a commit that referenced this issue May 10, 2018
This changes appveyor from using the latest npm version to only using
the preinstalled npm version. This is safer, because it's guaranteed to
be a compatible version.

Fixes #844
nfischer added a commit that referenced this issue May 10, 2018
Knowing the `npm` version was a huge help to debugging issue #844. For
some reason, we output this on appveyor but not on Travis. This PR fixes
that.
nfischer added a commit that referenced this issue May 11, 2018
Knowing the `npm` version was a huge help to debugging issue #844. For
some reason, we output this on appveyor but not on Travis. This PR fixes
that.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Development

No branches or pull requests

1 participant